-- BEGIN COPYRIGHT
-- *************************************************************************
-- Licensed Materials - Property of IBM 
-- 5724-L01, 5655-N53, 5724-I82, 5655-R15
-- Copyright IBM Corporation 2008, 2009. All rights reserved. 
-- US Government Users Restricted Rights - Use, duplication, or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp.
-- *************************************************************************
-- END COPYRIGHT

----------------------------------------------------------------------
-- Following variables needs to be changed for customization and 
-- before running this script.
-- @STOGRP@			 = DB2 Storage group name
-- @DB_NAME@         = DB2 Database name
-- @SCHEMA@          = DB2 SQLID (Schema Qualifier)
-- @BPTABLE4K@       = Buffer Pool of 4k Size
-- @BPTABLE8K@       = Buffer Pool of 8k Size
-- @BPTABLE16K@      = Buffer Pool of 16k Size
-- @BPTABLE32K@      = Buffer Pool of 32k Size
-- @BPINDEX@         = Buffer Pool Index
-- @BPLOB4K@         = Buffer Pool Lobs
----------------------------------------------------------------------
-- Process this script in the DB2 command line processor
-- example: db2 -tf upgradeSchema6xx_CommonDB.sql

-- *******************************************
-- Schema change from 6.2.0 to 7.5
-- *******************************************

-- *******************************************
-- Populate data into SCHEMAVERSIONINFO
-- *******************************************

DELETE FROM @SCHEMA@.SCHEMAVERSIONINFO;

INSERT INTO @SCHEMA@.SchemaVersionInfo VALUES 
	('recovery.ejb', 7, 5, 0, 0, 1);

INSERT INTO @SCHEMA@.SchemaVersionInfo VALUES 
	('interfaceMediation', 7, 5, 0, 0, 1);

INSERT INTO @SCHEMA@.SchemaVersionInfo VALUES 
	('relationshipService', 7, 5, 0, 0, 1);

INSERT INTO @SCHEMA@.SchemaVersionInfo VALUES 
	('scheduler.wbi', 7, 5, 0, 0, 1);

INSERT INTO @SCHEMA@.SchemaVersionInfo VALUES 
	('customization', 7, 5, 0, 0, 1);

INSERT INTO @SCHEMA@.SchemaVersionInfo VALUES 
	('persistentlockmanager', 7, 5, 0, 0, 1);

INSERT INTO @SCHEMA@.SchemaVersionInfo VALUES 
	('governance', 7, 5, 0, 0, 1);

INSERT INTO @SCHEMA@.SchemaVersionInfo VALUES 
	('DirectDeploy', 7, 5, 0, 0, 1);

INSERT INTO @SCHEMA@.SchemaVersionInfo VALUES 
	('WPS', 7, 5, 0, 0, 1);  